body:has([id^='product-card-modal'][open]) {
    overflow: hidden;
}

[id^='product-card-modal'] {
    display: none;
    
    position: fixed;
    top: 0;
    left: 0;
    
    width: 100%;
    height: 100%;
    overflow: auto;
    
    background-color: rgba(0, 0, 0, 0.3);
    z-index: 30;
}

.product-card-modal-inner {
    margin-block: 2rem;
    margin-inline: auto;
    padding: 2rem;
    
    width: calc(90% - 4rem);
    overflow-y: auto;
    
    background-color: var(--white);
    border: 2px solid var(--black);
}

.product-card-modal-heading {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 2rem;
}

.product-card-modal-title {
    font-family: "Zilla Slab", serif;
    font-size: 2rem;
}

.product-card-modal-form {
    margin-block-start: 2rem;
    
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.product-card-modal-form img {
    max-width: 100%;
    max-height: 20rem;
}

.product-card-modal-form-info {
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 2rem;
}

.product-card-modal-add-to-cart {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 2rem;
    flex-wrap: wrap;
    
    max-width: max-content;
}

.product-card-modal-input-quantity {
    display: flex;
    align-items: center;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.3rem;
}

.product-card-modal-add-to-cart input {
    margin-inline-start: 1rem ;
    
    width: 3.75rem;
    height: 2.3rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.5rem;
    text-align: center;
}

.product-card-modal-unavailable {
    padding: 0.5rem 2rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
    color: var(--white);
    text-align: center;
    
    background-color: var(--red);
}






